%define upstream_name	 Object-InsideOut
%define upstream_version 3.97

# optional, and lead to a requires loop
%define _requires_exceptions perl\(Math::Random::MT::Auto)\  

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Comprehensive inside-out object support perl module
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:    http://www.cpan.org/modules/by-module/Object/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(B)
BuildRequires: perl(Config)
BuildRequires: perl(Data::Dumper) >= 2.131.0
BuildRequires: perl(Exception::Class) >= 1.320.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Scalar::Util) >= 1.270.0
BuildRequires: perl(Test::More) >= 0.980.0
BuildRequires: perl(attributes)
BuildRequires: perl(overload)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This module provides comprehensive support for implementing classes using the
inside-out object model.

Using inside-out object model, objects are not a blessed hash reference, but
merely a blessed scalar. The foobar attribute, instead of being accessed via
$self->{foobar}, is accessed using a package lexical variable @foobar (common
for every object of the class) via $foobar[$$self]. 

Advantages of this OO scheme are:
1 - speed
2 - encapsulation
3 - compilation-time checks

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
%makeinstall_std
rm -f %{buildroot}%{perl_vendorlib}/Bundle/Object/InsideOut.pm

%files
%doc Changes META.json META.yml MYMETA.yml README examples
%{perl_vendorlib}/Object
%{_mandir}/man3/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 3.970.0-2.mga3
+ Revision: 371096
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 3.970.0-1.mga3
+ Revision: 342442
- update to 3.97

* Wed Oct 03 2012 jquelin <jquelin> 3.960.0-1.mga3
+ Revision: 302416
- update to 3.96

* Mon Sep 17 2012 jquelin <jquelin> 3.950.0-1.mga3
+ Revision: 295021
- update to 3.95

* Tue Jun 05 2012 jquelin <jquelin> 3.940.0-1.mga3
+ Revision: 255261
- update to 3.94

* Thu Feb 23 2012 jquelin <jquelin> 3.910.0-1.mga2
+ Revision: 213144
- update to 3.91

* Wed Jan 25 2012 jquelin <jquelin> 3.870.0-1.mga2
+ Revision: 200967
- update to 3.87

* Thu Oct 13 2011 jquelin <jquelin> 3.840.0-1.mga2
+ Revision: 154421
- update to 3.84

* Thu Mar 24 2011 jquelin <jquelin> 3.810.0-1.mga1
+ Revision: 76665
- update to 3.81

* Sat Jan 22 2011 jquelin <jquelin> 3.790.0-1.mga1
+ Revision: 30985
- mageia rebuild
- imported package perl-Object-InsideOut

